package com.codigoparallevar.minicards.parts.style;

import android.graphics.Color;

public class CardTheme {
    public static final int DEFAULT_COLOR_INNER = Color.parseColor("#000000");

    public static final int PULSE_CONNECTOR_COLOR_OUTER = Color.parseColor("#f0c000");
    public static final int PULSE_CONNECTOR_COLOR_INNER = DEFAULT_COLOR_INNER;

    public static final int BOOLEAN_CONNECTOR_COLOR_OUTER = Color.parseColor("#dd4444");
    public static final int BOOLEAN_CONNECTOR_COLOR_INNER = DEFAULT_COLOR_INNER;

    public static final int STRING_CONNECTOR_COLOR_OUTER = Color.parseColor("#44dd44");
    public static final int STRING_CONNECTOR_COLOR_INNER = DEFAULT_COLOR_INNER;

    public static final int ANY_CONNECTOR_COLOR_OUTER = Color.parseColor("#dd44dd");
    public static final int ANY_CONNECTOR_COLOR_INNER = DEFAULT_COLOR_INNER;

    public static final int ENUM_CONNECTOR_COLOR_OUTER = Color.parseColor("#888888");
    public static final int ENUM_CONNECTOR_COLOR_INNER = DEFAULT_COLOR_INNER;

    public static final int FLOAT_CONNECTOR_COLOR_OUTER = Color.parseColor("#44dddd");
    public static final int FLOAT_CONNECTOR_COLOR_INNER = DEFAULT_COLOR_INNER;

    public static final int INTEGER_CONNECTOR_COLOR_OUTER = Color.parseColor("#4444ff");
    public static final int INTEGER_CONNECTOR_COLOR_INNER = DEFAULT_COLOR_INNER;

    public static final int UNKNOWN_CONNECTOR_COLOR_OUTER = Color.parseColor("#7f7f7f");
    public static final int UNKNOWN_CONNECTOR_COLOR_INNER = DEFAULT_COLOR_INNER;
}
