package com.codigoparallevar.minicards.toolbox;

import com.codigoparallevar.minicards.PartInstantiator;
import com.codigoparallevar.minicards.parts.ProgramakerCustomBlockPart;
import com.codigoparallevar.minicards.parts.buttons.RoundButton;
import com.codigoparallevar.minicards.types.Part;
import com.codigoparallevar.minicards.types.PartGrid;
import com.codigoparallevar.minicards.types.functional.Tuple2;
import com.programaker.api.data.ProgramakerCustomBlock;

class ProgramakerCustomBlockInstantiator extends PartInstantiator {
    private final ProgramakerCustomBlock _block;

    public ProgramakerCustomBlockInstantiator(ProgramakerCustomBlock block) {
        this._block = block;
    }

    @Override
    protected Part instantiate(PartGrid grid, Tuple2<Integer, Integer> center) {
        return new ProgramakerCustomBlockPart(grid, center, this._block);
    }
}
