package com.codigoparallevar.minicards.ui_helpers;

import android.os.AsyncTask;
import android.util.Log;

import com.codigoparallevar.minicards.types.functional.Consumer;
import com.codigoparallevar.minicards.types.functional.Producer;
import com.codigoparallevar.minicards.types.functional.Tuple2;
import com.codigoparallevar.minicards.types.functional.Tuple3;

public class GetAsync<T> extends AsyncTask<Tuple3<Producer<T>, Consumer<T>, Consumer<Throwable>>,
        Void,
        Tuple2<T, Consumer<T>>> {

    @Override
    protected Tuple2<T, Consumer<T>> doInBackground(Tuple3<Producer<T>, Consumer<T>, Consumer<Throwable>>... data) {
        try {
            T result = data[0]._x.get();
            return new Tuple2<>(result, data[0]._y);
        }
        catch (Throwable ex) {
            data[0]._z.apply(ex);
            return null;
        }
    }

    @Override
    protected void onPostExecute(Tuple2<T, Consumer<T>> result) {
        if (result == null) {
            return;
        }
        else {
            result.item2.apply(result.item1);
        }
    }
}
